Bug 1250678 - [RFE] Show both immediately affected hosts and all affected hosts in the Apply Errata page
[RFE] Show both immediately affected hosts and all affected hosts in the Appl...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Errata Management (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Walden Raines
sthirugn@redhat.com
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 14:38 EDT by sthirugn@redhat.com
Modified: 2018-06-15 02:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Host count in Apply Errata page (118.94 KB, image/png)
2015-08-05 14:38 EDT, sthirugn@redhat.com
no flags Details

  None (edit)
Description sthirugn@redhat.com 2015-08-05 14:38:36 EDT
Created attachment 1059599 [details]
Host count in Apply Errata page

Description of problem:
[RFE] Show both immediately affected hosts and all affected hosts in the Apply Errata page

Version-Release number of selected component (if applicable):
Sat 6.1 GA Snap 15

How reproducible:
N/A

Steps to Reproduce:
1. Register/subscribe three content hosts to satellite - all registered to the same content view.
2. Select an applicable errata - click 'Apply Errata'
3. Although three content hosts show up as affected (since they all tied to the same content view) select only one of those. Click 'Next'
4. Review the 'Apply Errata' page - Host Count showed 1.

Actual results:
- Host count currently shows the content hosts I selected in the previous page.
- Aalthough I try to apply the errata on one content host - all content hosts will anyway get access to this errata since it triggers the incremental update of the content view to which all of these content hosts subscribe.

Expected results:
A more logical way to solve this is by 
1. Remove 'Host Count' column
2. Add 'Two new columns' 
 - 'Hosts immediately affected'
 - 'Total Affected Hosts'
3. At the time of rendering of this page, 'Apply Errata to Content Hosts immediately after publishing' checkbox will be unchecked. So
 - 'Hosts immediately affected' should be displayed zero when the page displays
 - If user checks this check box - then 'Hosts immediately affected' should be populated with the current selected hosts
 - If the user toggles between checking/unchecking box - the 'Hosts immediately affected' should toggle between current selected hosts and zero.
4. 'Total Affected Hosts' should always show the number of hosts subscribed to the content view which is being incrementally updated.


Additional info:
Comment 1 Bryan Kearney 2016-07-08 16:22:58 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 4 Roxanne Hoover 2018-04-26 15:39:19 EDT
At a high-level, it seems like the problem is that it is not clear to the user how many hosts out of total affected hosts are getting the errata applied to it and which hosts are affected immediately, since the Host Count column is based on the hosts you've selected and not of the previous totals mentioned.

The proposed solution makes sense.
Comment 5 sthirugn@redhat.com 2018-06-14 14:12:10 EDT
Thinking about this bug after three years of writing it:

My earlier proposed solution would be too complicated to implement.  I think maybe we can just show a warning notification in the UI that although you are trying to apply the updates to the specific hosts, all the hosts subscribed to this content view will have access to the updated content. This is all is really needed.

Note You need to log in before you can comment on or make changes to this bug.